> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deasylabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List all vector database (VDB) connectors for the authenticated user.

## Response

- **200**: Successfully retrieved list of VDB connectors  
    - Returns: `{ "connectors": VDBConfigDict }`

## Example Response

```json
{
  "connectors": {
    "my-pinecone-db": {
      "vector_db_type": "pinecone",
      "environment": "us-east-1-aws",
      "index_name": "my-index"
    },
    "my-qdrant-db": {
      "vector_db_type": "qdrant",
      "url": "https://qdrant.example.com"
    }
  }
}
```



## OpenAPI

````yaml /deasy-openapi-stainless.yml post /data_connector/list
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: /rest/unstructured
security: []
paths:
  /data_connector/list:
    post:
      tags:
        - Data Connectors
      summary: List
      description: |-
        List all vector database (VDB) connectors for the authenticated user.

        ## Response

        - **200**: Successfully retrieved list of VDB connectors  
            - Returns: `{ "connectors": VDBConfigDict }`

        ## Example Response

        ```json
        {
          "connectors": {
            "my-pinecone-db": {
              "vector_db_type": "pinecone",
              "environment": "us-east-1-aws",
              "index_name": "my-index"
            },
            "my-qdrant-db": {
              "vector_db_type": "qdrant",
              "url": "https://qdrant.example.com"
            }
          }
        }
        ```
      operationId: list_data_sources_route_data_connector_list_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListVDBConnectorResponse'
        '403':
          description: Missing token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '500':
          description: >-
            Internal Server Error. An unexpected error occurred while processing
            the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
      security:
        - BasicAuth: []
        - BearerAuth: []
          UserIdAuth: []
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from unstructured import UnstructuredClient

            client = UnstructuredClient(
                username=os.environ.get("UNSTRUCTURED_USERNAME"),  # This is the default and can be omitted
                password=os.environ.get("UNSTRUCTURED_PASSWORD"),  # This is the default and can be omitted
            )
            list_vdb_connector = client.data_source.list()
            print(list_vdb_connector.connectors)
        - lang: JavaScript
          source: |-
            import UnstructuredClient from 'unstructured-sdk';

            const client = new UnstructuredClient({
              authMethod: 'My Auth Method',
              username: process.env['UNSTRUCTURED_USERNAME'], // This is the default and can be omitted
              password: process.env['UNSTRUCTURED_PASSWORD'], // This is the default and can be omitted
            });

            const listVdbConnector = await client.dataSource.list();

            console.log(listVdbConnector.connectors);
components:
  schemas:
    ListVDBConnectorResponse:
      properties:
        connectors:
          additionalProperties:
            oneOf:
              - $ref: '#/components/schemas/OnedriveConnectorConfig'
              - $ref: '#/components/schemas/PSQLConnectorConfig'
              - $ref: '#/components/schemas/QdrantConnectorConfig'
              - $ref: '#/components/schemas/S3ConnectorConfig'
              - $ref: '#/components/schemas/SharepointConnectorConfig'
            discriminator:
              propertyName: type
              mapping:
                OnedriveDataSourceManager:
                  $ref: '#/components/schemas/OnedriveConnectorConfig'
                PSQLVectorDBManager:
                  $ref: '#/components/schemas/PSQLConnectorConfig'
                QdrantVectorDBManager:
                  $ref: '#/components/schemas/QdrantConnectorConfig'
                S3DataSourceManager:
                  $ref: '#/components/schemas/S3ConnectorConfig'
                SharepointDataSourceManager:
                  $ref: '#/components/schemas/SharepointConnectorConfig'
          type: object
          title: Connectors
      type: object
      required:
        - connectors
      title: ListVDBConnectorResponse
    HTTPError:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: HTTPError
    OnedriveConnectorConfig:
      properties:
        type:
          type: string
          enum:
            - OnedriveDataSourceManager
          const: OnedriveDataSourceManager
          title: Type
          default: OnedriveDataSourceManager
        name:
          type: string
          title: Name
        client_id:
          type: string
          title: Client Id
        client_secret:
          type: string
          title: Client Secret
        tenant_id:
          type: string
          title: Tenant Id
        onedrive_site_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Onedrive Site Name
        onedrive_site_names:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Onedrive Site Names
        drives:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Drives
      type: object
      required:
        - name
        - client_id
        - client_secret
        - tenant_id
      title: OnedriveConnectorConfig
    PSQLConnectorConfig:
      properties:
        type:
          type: string
          enum:
            - PSQLVectorDBManager
          const: PSQLVectorDBManager
          title: Type
          default: PSQLVectorDBManager
        database_name:
          type: string
          title: Database Name
        collection_name:
          type: string
          title: Collection Name
        url:
          type: string
          title: Url
        password:
          type: string
          title: Password
        db_user:
          type: string
          title: Db User
        port:
          type: string
          title: Port
        name:
          type: string
          title: Name
        index_info:
          anyOf:
            - $ref: '#/components/schemas/PSQLIndexInfo'
            - type: 'null'
        filename_key:
          type: string
          title: Filename Key
          default: filename
        text_key:
          type: string
          title: Text Key
          default: text
      type: object
      required:
        - database_name
        - collection_name
        - url
        - password
        - db_user
        - port
        - name
      title: PSQLConnectorConfig
    QdrantConnectorConfig:
      properties:
        type:
          type: string
          enum:
            - QdrantVectorDBManager
          const: QdrantVectorDBManager
          title: Type
          default: QdrantVectorDBManager
        name:
          type: string
          title: Name
        filename_key:
          type: string
          title: Filename Key
          default: filename
        text_key:
          type: string
          title: Text Key
          default: text
        api_key:
          type: string
          title: Api Key
        collection_name:
          type: string
          title: Collection Name
        url:
          type: string
          title: Url
        index_info:
          anyOf:
            - $ref: '#/components/schemas/QdrantIndexInfo'
            - type: 'null'
      type: object
      required:
        - name
        - api_key
        - collection_name
        - url
      title: QdrantConnectorConfig
    S3ConnectorConfig:
      properties:
        type:
          type: string
          enum:
            - S3DataSourceManager
          const: S3DataSourceManager
          title: Type
          default: S3DataSourceManager
        bucket_name:
          type: string
          title: Bucket Name
        aws_access_key_id:
          type: string
          title: Aws Access Key Id
        aws_secret_access_key:
          type: string
          title: Aws Secret Access Key
        name:
          type: string
          title: Name
        region:
          anyOf:
            - type: string
            - type: 'null'
          title: Region
          default: us-east-1
      type: object
      required:
        - bucket_name
        - aws_access_key_id
        - aws_secret_access_key
        - name
      title: S3ConnectorConfig
    SharepointConnectorConfig:
      properties:
        type:
          type: string
          enum:
            - SharepointDataSourceManager
          const: SharepointDataSourceManager
          title: Type
          default: SharepointDataSourceManager
        name:
          type: string
          title: Name
        client_id:
          type: string
          title: Client Id
        client_secret:
          type: string
          title: Client Secret
        tenant_id:
          type: string
          title: Tenant Id
        sharepoint_site_name:
          type: string
          title: Sharepoint Site Name
        drives:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Drives
      type: object
      required:
        - name
        - client_id
        - client_secret
        - tenant_id
        - sharepoint_site_name
      title: SharepointConnectorConfig
    PSQLIndexInfo:
      properties:
        found_indexes:
          items:
            type: string
          type: array
          title: Found Indexes
        total_indexes_found:
          type: integer
          title: Total Indexes Found
      type: object
      required:
        - found_indexes
        - total_indexes_found
      title: PSQLIndexInfo
    QdrantIndexInfo:
      properties:
        total_indexes_found:
          type: integer
          title: Total Indexes Found
      type: object
      required:
        - total_indexes_found
      title: QdrantIndexInfo
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    BearerAuth:
      type: http
      scheme: bearer
    UserIdAuth:
      type: apiKey
      in: header
      name: X-User-ID

````